Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365745 - Review Request: fwknop-gui - GUI client for Fwknop
Summary: Review Request: fwknop-gui - GUI client for Fwknop
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-10 07:04 UTC by Jakub Jelen
Modified: 2016-08-27 10:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-19 19:53:55 UTC
ignatenko: fedora-review+


Attachments (Terms of Use)

Description Jakub Jelen 2016-08-10 07:04:44 UTC
Spec URL: https://jjelen.fedorapeople.org/fwknop-gui.spec
SRPM URL: https://jjelen.fedorapeople.org/fwknop-gui-1.3-1.src.rpm
Description: Fwknop-gui is a cross platform gui that can save and send knocks to a server running fwknopd.

Currently built in copr by the upstream developer with spec file addressing packaging issues that I identified:
https://copr.fedorainfracloud.org/coprs/jbennett/fwknop-gui/

Fedora Account System Username: jjelen

Comment 1 Igor Gnatenko 2016-08-10 07:37:20 UTC
> Summary: A cross platform gui client for Fwknop
remove "A" from the beginning. Actually I would prefer to have just "GUI client for Fwknop".

> Group: Applications/Internet
not needed and not used.

> Source: https://incomsystems.biz/fwknop-gui/downloads/fwknop-gui-%{version}.tar.gz
Source: %{url}/downloads/%{name}-%{version}.tar.gz

> BuildRequires: qrencode-devel
BuildRequires: pkgconfig(libqrencode)

> Requires: fwknop
> Requires: wxGTK3
> Requires: gpgme
> Requires: qrencode
not needed, linked dynamically from binary

> %setup -q -n fwknop-gui
%autosetup -n %{name}

> make %{?_smp_mflags}
%make_build

> make install DESTDIR=%{buildroot}
%make_install

> install -D fwknop-gui.appdata.xml %{buildroot}/%{_datadir}/appdata/fwknop-gui.appdata.xml
1. add "-p" and "-m0644" to install
2. drop "/" after %{buildroot}
3. replace "fwknop-gui" with "%{name}"

> desktop-file-validate %{buildroot}%{_datadir}/applications/fwknop-gui.desktop
> appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/*.appdata.xml
1. drop "/" after %{buildroot}
2. replace "fwknop-gui" with "%{name}"
3. Move to separate %check section

> %doc %{_mandir}/man8/*
%doc %{_mandir}/man8/%{name}.8*

> %attr(0755,root,root) %{_bindir}/fwknop-gui
> %attr(0644,root,root) %{_datadir}/applications/fwknop-gui.desktop
> %attr(0644,root,root) %{_datadir}/pixmaps/fwknop-gui.png
> %attr(0644,root,root) %{_datadir}/appdata/fwknop-gui.appdata.xml
1. no need to specify attrs manually
2. replace "fwknop-gui" with "%{name}"

* Missing BuildRequires: gcc-c++
* Missing BuildRequires: make
* Consider building out-of-tree build:
%prep
...
mkdir %{_target_platform}

%build
pushd %{_target_platform}
  %cmake ..
popd
%make_build -C %{_target_platform}

%install
%make_install -C %{_target_platform}

Comment 2 Jakub Jelen 2016-08-10 08:58:46 UTC
Thank you for the comments. I addressed your mentioned details.

I didn't modify the spec file to build out-of-tree, because it fails for the manual pages (will report upstream and try to move it out-of-tree in the future).

Spec URL: https://jjelen.fedorapeople.org/fwknop-gui.spec
SRPM URL: https://jjelen.fedorapeople.org/fwknop-gui-1.3-2.src.rpm

Comment 3 Igor Gnatenko 2016-08-10 09:05:43 UTC
you missed to address:
> desktop-file-validate %{buildroot}%{_datadir}/applications/fwknop-gui.desktop
> appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/*.appdata.xml
1. drop "/" after %{buildroot}
2. replace "fwknop-gui" with "%{name}"
3. Move to separate %check section

Also I completely forgot:
> Release: 2
it must be 2%{?dist}

Others looks good.

Comment 4 Jakub Jelen 2016-08-10 10:03:47 UTC
Thank you for reminder. I also completely missed the dist. Current SRPM and specs, just for the completeness:

Spec URL: https://jjelen.fedorapeople.org/fwknop-gui.spec
SRPM URL: https://jjelen.fedorapeople.org/fwknop-gui-1.3-2.fc26.src.rpm

Comment 5 Gwyn Ciesla 2016-08-10 13:10:06 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/fwknop-gui

Comment 6 Fedora Update System 2016-08-10 13:46:31 UTC
fwknop-gui-1.3-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e554dd98df

Comment 7 Fedora Update System 2016-08-10 14:16:08 UTC
fwknop-gui-1.3-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-85b83e5cb8

Comment 8 Fedora Update System 2016-08-10 14:16:28 UTC
fwknop-gui-1.3-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a9d855e173

Comment 9 Fedora Update System 2016-08-10 18:55:02 UTC
fwknop-gui-1.3-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e554dd98df

Comment 10 Fedora Update System 2016-08-10 19:52:39 UTC
fwknop-gui-1.3-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a9d855e173

Comment 11 Fedora Update System 2016-08-11 03:23:42 UTC
fwknop-gui-1.3-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-85b83e5cb8

Comment 12 Fedora Update System 2016-08-19 19:53:52 UTC
fwknop-gui-1.3-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-08-19 22:21:11 UTC
fwknop-gui-1.3-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-08-27 10:43:34 UTC
fwknop-gui-1.3-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.